### Signal

# RB RhythmDB::entry-changed

#### Declaration

    void
    entry_changed (
      RhythmDB* self,
      RhythmDBEntry* entry,
      gpointer changes,
      gpointer user_data
    )

#### Description [src]

Emitted when a database entry is modified. The `changes` list contains a structure for each entry property that has been modified.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The changed `RhythmDBEntry`.

  The data is owned by the caller of the function.

`changes`

  Type: An array of `None`

  A `GPtrArray` of `RhythmDBEntryChange` structures describing the changes.